%define 	pname qmail
%define 	pversion 1.03
%define 	bversion 435
%define 	rpmrelease iworx.jms.chkuser.esmtpa.ipv6.isoc
%define 	qmaildir /var/qmail
%define		servicedir /service
%define		crontab /etc/crontab

##
# qmail dir creation
## 

%define		qmaildir_add %( if [ -d %{qmaildir} ]; then echo 0; else echo 1; fi)

##
# qmail user mapping
##

%define		alias_usr  alias
%define		alias_uid  101
%define		alias_grp  nofiles
%define		alias_dir  %{qmaildir}/alias
%define		alias_add  %( %{__grep} -q alias /etc/passwd ; echo $? )

%define		qmaild_usr qmaild
%define		qmaild_uid 102
%define		qmaild_grp nofiles
%define		qmaild_dir %{qmaildir}
%define		qmaild_add %( %{__grep} -q qmaild /etc/passwd ; echo $? )

%define		qmaill_usr qmaill
%define		qmaill_uid 103
%define		qmaill_grp nofiles
%define		qmaill_dir %{qmaildir}
%define		qmaill_add %( %{__grep} -q qmaill /etc/passwd ; echo $? )

%define		qmailp_usr qmailp
%define		qmailp_uid 104
%define		qmailp_grp nofiles
%define		qmailp_dir %{qmaildir}
%define		qmailp_add %( %{__grep} -q qmailp /etc/passwd ; echo $? )

%define		qmailq_usr qmailq
%define		qmailq_uid 105
%define		qmailq_grp qmail
%define 	qmailq_dir %{qmaildir}
%define		qmailq_add %( %{__grep} -q qmailq /etc/passwd ; echo $? )

%define		qmailr_usr qmailr
%define 	qmailr_uid 106
%define		qmailr_grp qmail
%define		qmailr_dir %{qmaildir}
%define		qmailr_add %( %{__grep} -q qmailr /etc/passwd ; echo $? )

%define		qmails_usr qmails
%define		qmails_uid 107
%define		qmails_grp qmail
%define		qmails_dir %{qmaildir}
%define		qmails_add %( %{__grep} -q qmails /etc/passwd ; echo $? )

##
# qmail group mapping
##

%define		nofiles_grp nofiles
%define		nofiles_gid 102
%define		nofiles_add %( %{__grep} -q nofiles /etc/group ; echo $? )

%define		qmail_grp   qmail
%define		qmail_gid   103
%define		qmail_add   %( %{__grep} -q qmail /etc/group ; echo $? )

%define 	debug_package %{nil}

# INSTRUCTIONS!!! <--------------------- READ THEM!!!
#
# You can rebuild  this  package safely using Command 
# Line Overrides. For example, if you want to rebuild
# this package for RedHat just type:
# $ rpm --rebuild --with redhat package.src.rpm
# $ rpm -ba --with redhat package.spec
#
# mdk = GNU/Linux Mandrake
# rht = Linux Red-Hat
# sus = Suse Linux
# fdr = Fedora Linux
# cos = CentOS
# whb = White Box Linux
# rhe = Red Hat Enterprise
# unk = Unknown
#

%define 	build_rht_90   0
%define		build_cos_3x   0
%define		build_fdr_10   0
%define		build_fdr_20   0
%define		build_fdr_30   0
%define		build_fdr_40   0
%define		build_whb_3x   0
%define		build_rhe_2x   0
%define		build_rhe_3x   0
%define		build_rhe_4x   0
%define		build_rhe_5x   0
%define		build_rhe_6x   0

%define		build_unk      1

# Command Line Overrides
%{?_with_rht90:   	%{expand: %%define build_rht_90   1}}
%{?_with_cos3x: 	%{expand: %%define build_cos_3x   1}}
%{?_with_fdr10: 	%{expand: %%define build_fdr_10   1}}
%{?_with_fdr20: 	%{expand: %%define build_fdr_20   1}}
%{?_with_fdr30: 	%{expand: %%define build_fdr_30   1}}
%{?_with_fdr40: 	%{expand: %%define build_fdr_40   1}}
%{?_with_whb3x: 	%{expand: %%define build_whb_3x   1}}
%{?_with_rhe2x: 	%{expand: %%define build_rhe_2x   1}}
%{?_with_rhe3x: 	%{expand: %%define build_rhe_3x   1}}
%{?_with_rhe4x: 	%{expand: %%define build_rhe_4x   1}}
%{?_with_rhe5x: 	%{expand: %%define build_rhe_5x   1}}
%{?_with_rhe6x: 	%{expand: %%define build_rhe_6x   1}}

%{?_with_unk: 		%{expand: %%define build_unk      1}}

# Distro Statements
%if %{build_rht_90}
%define		oscode rht90
%define 	ostype RedHat 9
BuildRequires:	openssl-devel >= 0.9.7, krb5-devel >= 1.2.7
BuildRequires:	shadow-utils
BuildRequires:	bzip2
BuildRequires:	net-tools
Requires:	openssl >= 0.9.7
Requires:	sh-utils
%define		ccflags %{optflags} -DTLS -I/usr/kerberos/include -I/home/vpopmail/include
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_cos_3x}
%define		oscode cos3x
%define 	ostype CentOS 3.x
BuildRequires:	openssl-devel
BuildRequires:	bzip2
%define		ccflags %{optflags} -DTLS -I/usr/kerberos/include -I/home/vpopmail/include
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_fdr_10}
%define		oscode fdr10
%define 	ostype Fedora Core 1
BuildRequires:	openssl-devel
BuildRequires:	bzip2
%define		ccflags %{optflags} -I/home/vpopmail/include
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_fdr_20}
%define		oscode fdr20
%define 	ostype Fedora Core 2
BuildRequires:	openssl-devel
BuildRequires:	bzip2
%define		ccflags %{optflags} -I/home/vpopmail/include
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_fdr_30}
%define		oscode fdr30
%define 	ostype Fedora Core 3
BuildRequires:	openssl-devel
BuildRequires:	bzip2
%define		ccflags %{optflags} -I/home/vpopmail/include
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_fdr_40}
%define		oscode fdr40
%define 	ostype Fedora Core 4
BuildRequires:	openssl-devel
BuildRequires:	bzip2
%define		ccflags %{optflags} -I/home/vpopmail/include
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_whb_3x}
%define		oscode whb3x
%define 	ostype White Box 3.x
BuildRequires:	openssl-devel
BuildRequires:	bzip2
%define		ccflags %{optflags} -DTLS -I/usr/kerberos/include -I/home/vpopmail/include
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_rhe_2x}
%define		oscode rhe2x
%define 	ostype RedHat Enterprise 2.x
BuildRequires:	openssl-devel
BuildRequires:	bzip2
%define		ccflags %{optflags} -DTLS -I/usr/kerberos/include -I/home/vpopmail/include
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_rhe_3x}
%define		oscode rhe3x
%define 	ostype RedHat Enterprise 3.x
BuildRequires:	openssl-devel
BuildRequires:	bzip2
%define		ccflags %{optflags} -DTLS -I/usr/kerberos/include -I/home/vpopmail/include
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_rhe_4x}
%define		oscode rhe4x
%define 	ostype RedHat Enterprise 4.x
BuildRequires:	openssl-devel
BuildRequires:	bzip2
%define		ccflags %{optflags} -DTLS -I/usr/kerberos/include -I/home/vpopmail/include
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_rhe_5x}
%define		oscode rhe5x
%define 	ostype RedHat Enterprise 5.x
BuildRequires:	openssl-devel
BuildRequires:	bzip2
%define		ccflags %{optflags} -DTLS -I/usr/kerberos/include -I/home/vpopmail/include
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_rhe_6x}
%define		oscode rhe6x
%define 	ostype RedHat Enterprise 6.x
BuildRequires:	openssl-devel
BuildRequires:	bzip2
%define		ccflags %{optflags} -DTLS -I/usr/kerberos/include -I/home/vpopmail/include
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%define	release %{bversion}.%{oscode}.%{rpmrelease}

##
# THIS MUST BE LAST
##

%if %{build_unk}
%define		oscode unk
%define 	ostype Unknown Distribution
%define		release %{bversion}.%{rpmrelease}
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%endif



############### RPM ################################

Summary:	Qmail Mail Transfer Agent
Name:		%{pname}
Version:	%{pversion}
Release:	%{release}
License:	D. J. Bernstein

Epoch:		5
Group:		System/Servers
Source0:	qmail-%{pversion}.tar.bz2
URL:		http://www.qmail.org/

Distribution:	InterWorx-HAL
Vendor:         INTERWORX L.L.C
Packager:	Paul Oehler <poehler@interworx.com>

Buildroot:	%{_tmppath}/%{name}-%{version}-root

Requires:	daemontools >= 0.76, ucspi-tcp >= 0.88-200
Requires:   	libdomainkeys

BuildRequires:  mysql-iworx, vpopmail, groff

Conflicts:	sendmail, exim, smail, postfix
Obsoletes:	qmail-toaster
Provides:	smtpdaemon, MTA

Source1:	qmail.rc.bz2
Source2:	qmail-smtp.init.bz2
Source3:	qmail-supervise-pop3.run.bz2
Source4:	qmail-supervise-pop3-log.run.bz2
Source5:	qmail-supervise-send.run.bz2
Source6:	qmail-supervise-send-log.run.bz2
Source7:	qmail-supervise-smtp.run.bz2
Source8:	qmail-supervise-smtp-log.run.bz2
Source9:	qmail-gentestcrt.sh.bz2
Source10:	qmail-pop3.init.bz2
Source11:	qmail-remove-0.95.tar.gz
Source12:	qmail-control-locals
Source13:	qmail-control-concurrencyremote
Source14:	qmail-control-concurrencyincoming
Source15:	qmail-control-databytes
Source16:	qmail-control-spfbehavior
Source17:	qmail-control-smtpgreeting
Source18:	qmail-control-blacklists
Source19:	qmail-control-mfcheck
Source20:	qmail-control-smtproutes
Source21:	qmail-control-defaultdomain 
Source22:	qmail-control-me 
Source23:	qmail-control-plusdomain 
Source24:	qmail-control-rcpthosts
Source25:	qmail-control-defaultdelivery
Source26:	qmail-control-timeoutremote

Source29:	qmail-control-badmailfrom
Source30:	qmail-control-badrcptto
Source31:	qmail-control-spamt
Source32:	dh_key.bz2
Source33:	qmail-control-bouncemaxbytes
Source34:	qmail-control-localiphost

Source35:   	qmail-remote-dk.sh

#Patch0:	qmail-1.03-iworx.310.patch.bz2

Patch0:		qmail-1.03-iworx-jms-chkuser-rereadcon-spamt-mdplus.patch
Patch1:		qmail-1.03-iworx-esmtpa.patch
Patch2:		qmail-1.03-jms1.7.08-ipv6.patch
Patch3:		qmail-1.03-iworx-open_rw.patch
Patch4:     	qmail-1.03.isoc.iworx.patch
Patch5:		qmail-1.03-CVE-2011-1431.patch
Patch6:		qmail-1.03-show-greeting-fail.iworx.patch
Patch7:		qmail-1.03-ssl-err_h-iworx.patch
Patch8:		qmail-1.03-ipv6-retry.patch
Patch9:		qmail-1.03-ipv6-v4mapped-format-bug.patch
Patch10:	qmail-1.03-iworx-trashquota-maildir++.patch
Patch11:	qmail-1.03-multiple-servercert.patch
#Patch0:	qmailtoaster-iworx.1.2.2.patch.bz2
#Patch1:	qmail-iworx-bouncemaxbytes.patch.bz2
#Patch2:	qmail-1.03_outgoingips.patch.bz2

%description
qmail is a small, fast, secure replacement for the sendmail package, which is 
the program that actually receives, routes, and delivers electronic mail.

This package is patched to netqmail-1.05 distribution of qmail.  It is comprised
of qmail-1.03 plus a patch file, some documentation, and a shell script which
prepares the files for compilation.  More information is available
at http://qmail.org/netqmail/

Russ Nelson <nelson@qmail.org>
Charles Cazabon <charlesc-netqmail@discworld.dyndns.org>
Dave Sill <de5@sws5.ornl.gov>
Peter Samuel <Peter.Samuel@gormand.com.au>
Henning Brauer <henning@bsws.de>

------------------------------------------------------
qmail-1.03-iworx.310.patch.bz2          Feb 08, 2009
------------------------------------------------------
qmail-1.03 patched to netqmail-1.05
-----------------------------------
QMAILQUEUE patch
qmail-local patch
local IP 0.0.0.0 patch
sendmail -f patch

John Simpson - combined patch 7.07
http://qmail.jms1.net/patches/combined-details.shtml

IPv6 Support
http://www.bltweb.net/qmail/qmail-1.03-jms1.7.08-ipv6.patch

Antonio Nati - chkuser-2.0.9
http://www.interazioni.it/opensource/chkuser/

Bill Shupp - netqmail-maildir++.patch
http://shupp.org/patches/netqmail-maildir++.patch

Jul - reread-concurrency Ver. 2
http://js.hu/package/qmail/index.html

Dale Woolridge, James Law, Moto Kawasaki - spam-throttle-2.02
http://spamthrottle.qmail.ca/

CVE-2011-1431
http://inoa.net/qmail-tls/vu555316.patch

%package -n qmail-pop3d
Summary:	POP3 daemon for qmail
Group:		System/Servers
Requires:	qmail >= %{pversion}-%{release}
Obsoletes:	qmail-pop3d-toaster
Requires:	vpopmail >= 5.4.9

%description -n qmail-pop3d
The qmail-pop3d packages provides POP3 support for qmail mail servers.  If 
you need to be able to use POP3 with your qmail server, you should install 
this package.

%package doc
Summary:	Qmail Documentation
Group:		Documentation
Obsoletes:	qmail-doc-toaster
Requires:	qmail >= %{pversion}-%{release}

%description doc
Qmail documentation (man pages). Qmail is a small, fast, secure replacement 
for the sendmail package, which is the program that actually receives, routes, 
and delivers electronic mail.

#-------------
%prep
#-------------

%setup -q -n qmail-%{pversion}

##
# Apply composit patch
##

%patch0 -p1

%patch1 -p1

%patch2 -p1

%patch3 -p1

%patch4 -p1

%patch5 -p1

%patch6 -p1

%patch7 -p1

%patch8 -p1

%patch9 -p1

%patch10 -p1

%patch11 -p1

%define name qmail

##
# Try detecting newest gcc (some distributions have got more then one compiler)
# and write it to a temp file
##

[ -f %{_tmppath}/%{name}-%{pversion}-gcc ] && rm -f %{_tmppath}/%{name}-%{pversion}-gcc

if   [ -x /usr/bin/gcc-3.2.3 ]; then
	echo "/usr/bin/gcc-3.2.3" > %{_tmppath}/%{name}-%{pversion}-gcc
elif   [ -x /usr/bin/gcc-3.2.2 ]; then
	echo "/usr/bin/gcc-3.2.2" > %{_tmppath}/%{name}-%{pversion}-gcc
elif   [ -x /usr/bin/gcc-3.2.1 ]; then
	echo "/usr/bin/gcc-3.2.1" > %{_tmppath}/%{name}-%{pversion}-gcc
elif [ -x /usr/bin/gcc-3.2 ]; then
        echo "/usr/bin/gcc-3.2" > %{_tmppath}/%{name}-%{pversion}-gcc
elif [ -x /usr/bin/gcc-3.1.1 ]; then
        echo "/usr/bin/gcc-3.1.1" > %{_tmppath}/%{name}-%{pversion}-gcc
else
	echo "gcc" > %{_tmppath}/%{name}-%{pversion}-gcc
fi

##
# Display compilation flags and OS with colors ;)
##

[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags
cat <<EOF >>%{_tmppath}/%{name}-%{pversion}-show_flags
#!/bin/sh
RPM=" RPM RELEASE: \033[40m\033[001;033m%{name}-%{pversion}-%{release} "
OS=" OS TYPE IS : \033[40m\033[001;033m%{ostype} "
CCF=" CCFLAGS    : \033[40m\033[001;033m%{ccflags} "
LDF=" LDFLAGS    : \033[40m\033[001;033m%{ldflags} "

echo
echo
echo -e "\033[40m\033[001;031m\$RPM\033[0m"
echo -e "\033[40m\033[001;031m\$OS\033[0m"
echo -e "\033[40m\033[001;031m\$CCF\033[0m"
echo -e "\033[40m\033[001;031m\$LDF\033[0m"
echo
echo

sleep 5

EOF

##
# Take care to execute and then to delete show-flags
##

chmod u+x %{_tmppath}/%{name}-%{pversion}-show_flags
%{_tmppath}/%{name}-%{pversion}-show_flags
[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags

#------------
%build
#------------
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

##
# Add users and groups
##

if [ -z "`/usr/bin/id -g nofiles 2>/dev/null`" ]; then
	/usr/sbin/groupadd -g %{nofiles_gid} -r nofiles > /dev/null 2>&1 || :
fi
if [ -z "`/usr/bin/id -g qmail 2>/dev/null`" ]; then	
	/usr/sbin/groupadd -g %{qmail_gid} -r qmail > /dev/null 2>&1 || :
fi
if [ -z "`/usr/bin/id -u alias 2>/dev/null`" ]; then
	/usr/sbin/useradd -u %{alias_uid} -r -M -d %{qmaildir}/alias -s /sbin/nologin -c "qmail alias" -g qmail alias  2>&1 || :
fi
if [ -z "`/usr/bin/id -u qmaild 2>/dev/null`" ]; then
	/usr/sbin/useradd -u %{qmaild_uid} -r -M -d %{qmaildir} -s /sbin/nologin -c "qmail daemon" -g qmail qmaild  2>&1 || :
fi
if [ -z "`/usr/bin/id -u qmaill 2>/dev/null`" ]; then
	/usr/sbin/useradd -u %{qmaill_uid} -r -M -d %{qmaildir} -s /sbin/nologin -c "qmail logger" -g qmail qmaill  2>&1 || :
fi
if [ -z "`/usr/bin/id -u qmailp 2>/dev/null`" ]; then
	/usr/sbin/useradd -u %{qmailp_uid} -r -M -d %{qmaildir} -s /sbin/nologin -c "qmail passwd" -g qmail qmailp  2>&1 || :
fi
if [ -z "`/usr/bin/id -u qmailq 2>/dev/null`" ]; then
	/usr/sbin/useradd -u %{qmailq_uid} -r -M -d %{qmaildir} -s /sbin/nologin -c "qmail queue" -g qmail qmailq  2>&1 || :
fi
if [ -z "`/usr/bin/id -u qmailr 2>/dev/null`" ]; then
	/usr/sbin/useradd -u %{qmailr_uid} -r -M -d %{qmaildir} -s /sbin/nologin -c "qmail remote" -g qmail qmailr  2>&1 || :
fi
if [ -z "`/usr/bin/id -u qmails 2>/dev/null`" ]; then
	/usr/sbin/useradd -u %{qmails_uid} -r -M -d %{qmaildir} -s /sbin/nologin -c "qmail send" -g qmail qmails  2>&1 || :
fi

##
# We have gcc written in a temp file
##

echo "`cat %{_tmppath}/%{name}-%{pversion}-gcc` %{ccflags}"    >conf-cc
echo "`cat %{_tmppath}/%{name}-%{pversion}-gcc` -s %{ldflags}" >conf-ld

####################################################################################
sed -i '1s/$/ -DINET6/' conf-cc

##
# Delete gcc temp file
##

[ -f %{_tmppath}/%{name}-%{pversion}-gcc ] && rm -f %{_tmppath}/%{name}-%{pversion}-gcc

make clean
make compile makelib
make it man

tar xzpfv %{SOURCE11}
cd qmail-remove-0.95
make

%install

export PATH="/sbin:/usr/sbin:/bin:/usr/bin"

##
# create the install dirs
##

install -d %{buildroot}%{_sysconfdir}/cron.hourly
install -d %{buildroot}%{qmaildir}/alias
install -d %{buildroot}%{qmaildir}
install -d %{buildroot}%{qmaildir}/control
install -d %{buildroot}%{qmaildir}/owners
install -d %{buildroot}%{qmaildir}/users
install -d %{buildroot}%{qmaildir}/spam
install -d %{buildroot}%{_sysconfdir}/tcpcontrol
install -d %{buildroot}%{qmaildir}/bin
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{qmaildir}/man
install -d %{buildroot}%{_sbindir}

##
# install files needed
##

install -d -m0755  %{buildroot}%{qmaildir}
for i in bin boot control doc man users; do
  install -d -m0755 %{buildroot}%{qmaildir}/$i
done

for i in man1 man5 man7 man8; do
  install -d -m0755  %{buildroot}%{qmaildir}/man/$i
done

for i in cat1 cat5 cat7 cat8; do
  install -d -m0755 %{buildroot}%{qmaildir}/man/$i
done

install -d -m0700 %{buildroot}%{servicedir}
for i in send smtp pop3 ; do
  install -d -m01751 %{buildroot}%{servicedir}/$i
  install -d -m0751 %{buildroot}%{servicedir}/$i/log
  install -d -m0751 %{buildroot}%{servicedir}/$i/supervise
done

install -d -m0750 %{buildroot}%{qmaildir}/queue
install -d -m02755 %{buildroot}%{qmaildir}/alias

install -d -m0755 %{buildroot}/var/log/
install -d -m0755 %{buildroot}/var/log/send
install -d -m0755 %{buildroot}/var/log/smtp
install -d -m0755 %{buildroot}/var/log/pop3

##
# install binaries
##

install -m0755 $RPM_BUILD_DIR/%{name}-%{pversion}/qmail-remove-0.95/qmail-remove %{buildroot}%{qmaildir}/bin

install -m0755 %{SOURCE32} %{buildroot}%{qmaildir}/bin/dh_key.bz2
bunzip2 %{buildroot}%{qmaildir}/bin/dh_key.bz2

for i in bouncesaying condredirect datemail elq except forward instcheck maildir2mbox maildirmake maildirwatch mailsubj pinq predate preline qail qbiff; do
  install -m0755 $RPM_BUILD_DIR/%{name}-%{pversion}/$i %{buildroot}%{qmaildir}/bin
done

mv qmail-remote qmail-remote.orig
cp %{SOURCE35} qmail-remote

for i in qmail-clean qmail-getpw qmail-local qmail-popup qmail-pw2u qmail-remote qmail-remote.orig qmail-rspawn qmail-send splogger; do
  install -m0711 $RPM_BUILD_DIR/%{name}-%{pversion}/$i %{buildroot}%{qmaildir}/bin
done

for i in qmail-lspawn qmail-newmrh qmail-newu qmail-start; do
  install -m0700 $RPM_BUILD_DIR/%{name}-%{pversion}/$i %{buildroot}%{qmaildir}/bin
done

install -m04711 $RPM_BUILD_DIR/%{name}-%{pversion}/qmail-queue %{buildroot}%{qmaildir}/bin

for i in qmail-newst qmail-inject qmail-pop3d qmail-qmqpc qmail-qmqpd qmail-qmtpd qmail-qread qmail-qstat qmail-showctl qmail-smtpd qmail-tcpok qmail-tcpto qreceipt qsmhook sendmail spfquery tcp-env; do
  install -m0755 $RPM_BUILD_DIR/%{name}-%{pversion}/$i %{buildroot}%{qmaildir}/bin
done

##
# install docs
##

for i in CHANGES CHANGES.spamthrottle FAQ FILES INSTALL INSTALL.alias INSTALL.ctl INSTALL.ids INSTALL.maildir INSTALL.mbox INSTALL.vsm OTHERS.spamthrottle PIC.local2alias PIC.local2ext PIC.local2local PIC.local2rem PIC.local2virt PIC.nullclient PIC.relaybad PIC.relaygood PIC.rem2local README README.auth README.qregex README.spamthrottle README.tap REMOVE.binmail REMOVE.sendmail SENDMAIL TEST.deliver TEST.receive THANKS TODO UPGRADE VERSION; do
  install -m644 $RPM_BUILD_DIR/%{name}-%{pversion}/$i %{buildroot}%{qmaildir}/doc
done

for i in qreceipt condredirect mailsubj except maildirmake preline tcp-env bouncesaying maildir2mbox qbiff forward maildirwatch; do
  install -m644 $RPM_BUILD_DIR/%{name}-%{pversion}/$i.1 %{buildroot}%{qmaildir}/man/man1
  install -m644 $RPM_BUILD_DIR/%{name}-%{pversion}/$i.0 %{buildroot}%{qmaildir}/man/cat1
done

for i in qmail-spamt qmail-spamthrottle qmail-users maildir qmail-header envelopes mbox tcp-environ qmail-control qmail-log addresses dot-qmail; do
  install -m644 $RPM_BUILD_DIR/%{name}-%{pversion}/$i.5 %{buildroot}%{qmaildir}/man/man5
  install -m644 $RPM_BUILD_DIR/%{name}-%{pversion}/$i.0 %{buildroot}%{qmaildir}/man/cat5
done

for i in qmail-limits forgeries qmail; do
  install -m644 $RPM_BUILD_DIR/%{name}-%{pversion}/$i.7 %{buildroot}%{qmaildir}/man/man7
  install -m644 $RPM_BUILD_DIR/%{name}-%{pversion}/$i.0 %{buildroot}%{qmaildir}/man/cat7
done

for i in qmail-newst qmail-tcpto qmail-qread splogger qmail-start qmail-qmqpc qmail-newu qmail-tcpok qmail-pop3d qmail-inject qmail-clean qmail-getpw qmail-command qmail-showctl qmail-rspawn qmail-smtpd qmail-qmqpd qmail-qstat qmail-pw2u qmail-qmtpd qmail-queue qmail-popup qmail-lspawn qmail-newmrh qmail-local qmail-send qmail-remote; do
  install -m644 $RPM_BUILD_DIR/%{name}-%{pversion}/$i.8 %{buildroot}%{qmaildir}/man/man8
  install -m644 $RPM_BUILD_DIR/%{name}-%{pversion}/$i.0 %{buildroot}%{qmaildir}/man/cat8
done

##
# install boot
##

for i in home home+df binm1 binm2+df proc+df binm2 binm3 proc binm3+df binm1+df; do
  install -m0755 $RPM_BUILD_DIR/%{name}-%{pversion}/$i %{buildroot}%{qmaildir}/boot
done

##
# build the queue
##

for i in bounce info intd local lock mess pid remote todo; do
  install -d %{buildroot}%{qmaildir}/queue/$i
done

for d in info local mess remote; do
  for i in 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22; do
    install -d %{buildroot}%{qmaildir}/queue/$d/$i
  done
done

##
# the rest
##

touch %{buildroot}%{qmaildir}/queue/lock/sendmutex
touch %{buildroot}%{qmaildir}/queue/lock/tcpto

mkfifo -m 0622 %{buildroot}%{qmaildir}/queue/lock/trigger

install -m0755 instcheck %{buildroot}%{qmaildir}/bin
install -m0755 config-fast %{buildroot}%{qmaildir}/bin

##
# startup scripts
##

install -m0755 %{SOURCE1} %{buildroot}%{qmaildir}/rc.bz2
bunzip2 %{buildroot}%{qmaildir}/rc.bz2

mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
install -m0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/rc.d/init.d/smtp.bz2
bunzip2 %{buildroot}%{_sysconfdir}/rc.d/init.d/smtp.bz2

install -m0755 %{SOURCE10} %{buildroot}%{_sysconfdir}/rc.d/init.d/pop3.bz2
bunzip2 %{buildroot}%{_sysconfdir}/rc.d/init.d/pop3.bz2

mkdir -p %{buildroot}/var/log/{smtp,pop3,send}
mkdir -p %{buildroot}/etc/domainkeys

##
# control files
##

install -m644 %{SOURCE12} %{buildroot}%{qmaildir}/control/locals
install -m644 %{SOURCE13} %{buildroot}%{qmaildir}/control/concurrencyremote
install -m644 %{SOURCE14} %{buildroot}%{qmaildir}/control/concurrencyincoming
install -m644 %{SOURCE15} %{buildroot}%{qmaildir}/control/databytes
install -m644 %{SOURCE16} %{buildroot}%{qmaildir}/control/spfbehavior
install -m644 %{SOURCE17} %{buildroot}%{qmaildir}/control/smtpgreeting
install -m644 %{SOURCE18} %{buildroot}%{qmaildir}/control/blacklists
install -m644 %{SOURCE19} %{buildroot}%{qmaildir}/control/mfcheck

install -m644 %{SOURCE20} %{buildroot}%{qmaildir}/control/smtproutes
install -m644 %{SOURCE21} %{buildroot}%{qmaildir}/control/defaultdomain
install -m644 %{SOURCE22} %{buildroot}%{qmaildir}/control/me
install -m644 %{SOURCE23} %{buildroot}%{qmaildir}/control/plusdomain
install -m644 %{SOURCE24} %{buildroot}%{qmaildir}/control/rcpthosts

install -m644 %{SOURCE25} %{buildroot}%{qmaildir}/control/defaultdelivery
install -m644 %{SOURCE26} %{buildroot}%{qmaildir}/control/timeoutremote

##
# new control files
##

install -m644 %{SOURCE29} %{buildroot}%{qmaildir}/control/badmailfrom
install -m644 %{SOURCE30} %{buildroot}%{qmaildir}/control/badrcptto
install -m644 %{SOURCE31} %{buildroot}%{qmaildir}/control/spamt
install -m644 %{SOURCE33} %{buildroot}%{qmaildir}/control/bouncemaxbytes
install -m644 %{SOURCE34} %{buildroot}%{qmaildir}/control/localiphost

##
# Make alias dir and files
##

pushd %{buildroot}%{qmaildir}/alias
  echo "&nobody" > .qmail-postmaster
  ln -s .qmail-postmaster .qmail-mailer-daemon
  ln -s .qmail-postmaster .qmail-root
  chmod 644 .qmail*
popd

##
# Make users dir and files
##

pushd %{buildroot}%{qmaildir}/users
  touch assign cdb
  chmod 644 *
  echo "." > assign
popd

##
# sendmail compatability links
##

mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_libdir}
pushd %{buildroot}%{_sbindir}
  ln -s ../..%{qmaildir}/bin/sendmail sendmail
popd
pushd %{buildroot}%{_libdir}
  ln -s ../..%{qmaildir}/bin/sendmail sendmail
popd

##
# Make for supervise
##

mkdir -p %{buildroot}%{servicedir}/send/log
mkdir -p %{buildroot}%{servicedir}/smtp/log
mkdir -p %{buildroot}%{servicedir}/pop3/log

install -m0700 %{SOURCE3} %{buildroot}%{servicedir}/pop3/run.bz2
bunzip2 %{buildroot}%{servicedir}/pop3/run.bz2
install -m0700 %{SOURCE4} %{buildroot}%{servicedir}/pop3/log/run.bz2
bunzip2 %{buildroot}%{servicedir}/pop3/log/run.bz2
install -m0700 %{SOURCE5} %{buildroot}%{servicedir}/send/run.bz2
bunzip2 %{buildroot}%{servicedir}/send/run.bz2
install -m0700 %{SOURCE6} %{buildroot}%{servicedir}/send/log/run.bz2
bunzip2 %{buildroot}%{servicedir}/send/log/run.bz2
install -m0700 %{SOURCE7} %{buildroot}%{servicedir}/smtp/run.bz2
bunzip2 %{buildroot}%{servicedir}/smtp/run.bz2
install -m0700 %{SOURCE8} %{buildroot}%{servicedir}/smtp/log/run.bz2
bunzip2 %{buildroot}%{servicedir}/smtp/log/run.bz2

##
# Make /etc/tcprules.d/qmail-smtp
##

mkdir -p %{buildroot}%{_sysconfdir}/tcprules.d

##
# Setup default /etc/tcprules.d/qmail-smtp
##
cat <<EOFqmail-smtp >%{buildroot}%{_sysconfdir}/tcprules.d/tcp.smtp
127.:allow,RELAYCLIENT=""
:allow,LANG="en_US",QMAILQUEUE="/var/qmail/bin/simscan",CHKUSER_MBXQUOTA="99"
EOFqmail-smtp

##
# bzip2 man stuff
##

find %{buildroot}%{qmaildir}/man -type f -exec bzip2 -9f {} \;

##
# Build TLS certificate
##

bzcat %{SOURCE9} > ./makecert.sh
chmod +x ./makecert.sh
yes "" | ./makecert.sh
cat ./server.crt ./server.key > %{buildroot}%{qmaildir}/control/servercert.pem
rm -rf ./server.crt ./server.key

##
# pko: adding this, was in new qmail-toaster
##

pushd %{buildroot}%{qmaildir}/control
  ln -s servercert.pem clientcert.pem
popd


##
# ok, now kill the users/groups we made
##

[ %{alias_add} -gt 0 ] &&
	userdel -r %{alias_usr} >/dev/null 2>&1 || :
[ %{qmaild_add} -gt 0 ] &&
	userdel -r %{qmaild_usr} >/dev/null 2>&1 || :
[ %{qmaill_add} -gt 0 ] &&
	userdel -r %{qmaill_usr} >/dev/null 2>&1 || :
[ %{qmailp_add} -gt 0 ] &&
	userdel -r %{qmailp_usr} >/dev/null 2>&1 || :
[ %{qmailq_add} -gt 0 ] &&
	userdel -r %{qmailq_usr} >/dev/null 2>&1 || :
[ %{qmailr_add} -gt 0 ] &&
	userdel -r %{qmailr_usr} >/dev/null 2>&1 || :
[ %{qmails_add} -gt 0 ] &&
	userdel -r %{qmails_usr} >/dev/null 2>&1 || :

[ %{nofiles_add} -gt 0 ] &&
	groupdel %{nofiles_grp} >/dev/null 2>&1 || :
[ %{qmail_add} -gt 0 ] &&
	groupdel %{qmail_grp} >/dev/null 2>&1 || :

[ %{qmaildir_add} -gt 0 ] &&
	rm -rf %{qmaildir}  || :

%pre

##
# create /var/qmail if it doesn't exist
##

mkdir -p %{qmaildir}/alias || :

##
# Add users and groups
##

if [ -z "`/usr/bin/id -g nofiles 2>/dev/null`" ]; then
	/usr/sbin/groupadd -g %{nofiles_gid} -r nofiles > /dev/null 2>&1 || :
fi
if [ -z "`/usr/bin/id -g qmail 2>/dev/null`" ]; then	
	/usr/sbin/groupadd -g %{qmail_gid} -r qmail > /dev/null 2>&1 || :
fi
if [ -z "`/usr/bin/id -u alias 2>/dev/null`" ]; then
	/usr/sbin/useradd -u %{alias_uid} -r -M -d %{qmaildir}/alias -s /sbin/nologin -c "qmail alias" -g qmail alias  2>&1 || :
fi
if [ -z "`/usr/bin/id -u qmaild 2>/dev/null`" ]; then
	/usr/sbin/useradd -u %{qmaild_uid} -r -M -d %{qmaildir} -s /sbin/nologin -c "qmail daemon" -g qmail qmaild  2>&1 || :
fi
if [ -z "`/usr/bin/id -u qmaill 2>/dev/null`" ]; then
	/usr/sbin/useradd -u %{qmaill_uid} -r -M -d %{qmaildir} -s /sbin/nologin -c "qmail logger" -g qmail qmaill  2>&1 || :
fi
if [ -z "`/usr/bin/id -u qmailp 2>/dev/null`" ]; then
	/usr/sbin/useradd -u %{qmailp_uid} -r -M -d %{qmaildir} -s /sbin/nologin -c "qmail passwd" -g qmail qmailp  2>&1 || :
fi
if [ -z "`/usr/bin/id -u qmailq 2>/dev/null`" ]; then
	/usr/sbin/useradd -u %{qmailq_uid} -r -M -d %{qmaildir} -s /sbin/nologin -c "qmail queue" -g qmail qmailq  2>&1 || :
fi
if [ -z "`/usr/bin/id -u qmailr 2>/dev/null`" ]; then
	/usr/sbin/useradd -u %{qmailr_uid} -r -M -d %{qmaildir} -s /sbin/nologin -c "qmail remote" -g qmail qmailr  2>&1 || :
fi
if [ -z "`/usr/bin/id -u qmails 2>/dev/null`" ]; then
	/usr/sbin/useradd -u %{qmails_uid} -r -M -d %{qmaildir} -s /sbin/nologin -c "qmail send" -g qmail qmails  2>&1 || :
fi

%preun

if [ "$1" == "0" ]; then
   echo
   echo "WARNING: qmail package removal request denied.  This package is required by Interworx."
   echo
   exit 1
fi

%postun

##
# if we're erasing
##

if [ "$1" = "0" ]; then
	if [ -x /sbin/service ]; then
		/sbin/service smtp stop > /dev/null 2>&1
	fi

	# Remove cron job
	grep -v ' * * * root %{qmaildir}/bin/dh_key' %{crontab} > %{crontab}.new
	mv -f %{crontab}.new %{crontab}

fi

##
# pko: because this is how toaster did it?
## 

if [ "$1" = 0 ]; then
 rm -fr /var/qmail/control/*.cdb

fi

%post

##
# if we're installing, then do some basic setup
##

if [ "$1" -eq "1" ]; then
	(
	cd %{qmaildir}/bin
	./config-fast $(hostname -f) >/dev/null 2>&1
	./qmail-tcpok >/dev/null 2>&1
	) 
fi

##
# if we're upgrading
##

if [ "$1" -eq "2" ]; then

	##
	# fix run file for updated tcpserver params
	##

	# %{__perl} -pi -e 's|\$SMTPD \$VCHKPW|\$SMTPD \$HOSTNAME \$VCHKPW|g' %{servicedir}/smtp/run
	grep 'AUTH=' %{servicedir}/smtp/run >/dev/null || cp -f %{servicedir}/smtp/run.rpmnew %{servicedir}/smtp/run || :

	if [ -f %{servicedir}/smtp2/run ]; then
	     	# %{__perl} -pi -e 's|\$SMTPD \$VCHKPW|\$SMTPD \$HOSTNAME \$VCHKPW|g' %{servicedir}/smtp2/run
		grep 'AUTH=' %{servicedir}/smtp2/run >/dev/null || cp -f %{servicedir}/smtp/run %{servicedir}/smtp2/run || :
		%{__perl} -pi -e 's|0 smtp|0 587|g' %{servicedir}/smtp2/run || :
	fi
	if [ -f %{servicedir}/smtp2/log/run ]; then
	     	cp -f %{servicedir}/smtp/log/run %{servicedir}/smtp2/log/run || :
		%{__perl} -pi -e 's|/var/log/smtp|/var/log/smtp2|g' %{servicedir}/smtp2/log/run || :
	fi

	svc -t /service/smtp > /dev/null 2>&1
    	svc -t /service/smtp2 > /dev/null 2>&1
    	svc -t /service/send > /dev/null 2>&1

	svc -t /service/smtp/log > /dev/null 2>&1
    	svc -t /service/smtp2/log > /dev/null 2>&1
    	svc -t /service/send/log > /dev/null 2>&1
        sleep 5
    	killall -9 qmail-remote qmail-local spamc maildrop qmail-smtpd qmail-remote.orig > /dev/null 2>&1 || :    
fi

##
# always do this when installing the rpm
##

# Add qmail man dir to man path (if neccessary)
if [ -f /etc/man.config ]; then
	if ! grep 'MANPATH  /var/qmail/man' /etc/man.config > /dev/null; then
		echo "MANPATH  /var/qmail/man" >> /etc/man.config
	fi
fi

# Install cron-job to keep temp keys current (if not already installed)
if ! grep ' * * * root %{qmaildir}/bin/dh_key' %{crontab} > /dev/null; then
		echo "" >> %{crontab}
	echo "01 01 * * * root %{qmaildir}/bin/dh_key 2>&1 > /dev/null" >> %{crontab}
fi

# recompile these control files.  doesn't hurt anything.
./%{qmaildir}/bin/qmail-newst

# do the TLS crap, if it hasn't been done before
if [ ! -f %{qmaildir}/control/tlsserverciphers ]; then
	touch %{qmaildir}/control/tlsserverciphers
	rm -fr %{qmaildir}/control/tlsclientciphers 2>&1 > /dev/null

	./%{_bindir}/openssl ciphers > %{qmaildir}/control/tlsserverciphers
	chmod 644 %{qmaildir}/control/tlsserverciphers

	ln -s %{qmaildir}/control/tlsserverciphers %{qmaildir}/control/tlsclientciphers
fi

# make the dh_keys
./%{qmaildir}/bin/dh_key > /dev/null 2>&1

%preun -n qmail-pop3d
if [ "$1" == "0" ]; then
   echo
   echo "WARNING: qmail-pop3d package removal request denied.  This package is required by Interworx."
   echo
   exit 1
fi


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
[ -d %{_builddir}/%{name}-%{pversion} ] && rm -rf %{_builddir}/%{name}-%{pversion}

%files
%defattr(-,-,qmail)

# config (system)
%attr(0700,root,root) %config(noreplace) %{_sysconfdir}/rc.d/init.d/smtp
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/tcprules.d/tcp.smtp
#%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/skel/.qmail

# directories
%attr(0755,root,qmail) %dir %{qmaildir}
%attr(02755,alias,qmail) %dir %{qmaildir}/alias
%attr(0755,root,qmail) %dir %{qmaildir}/bin
%attr(0755,root,qmail) %dir %{qmaildir}/boot
%attr(0755,root,qmail) %dir %{qmaildir}/control
%attr(0755,root,qmail) %dir %{qmaildir}/doc
%attr(0755,root,qmail) %dir %{qmaildir}/man
%attr(0755,root,qmail) %dir %{qmaildir}/man/cat1
%attr(0755,root,qmail) %dir %{qmaildir}/man/cat5
%attr(0755,root,qmail) %dir %{qmaildir}/man/cat7
%attr(0755,root,qmail) %dir %{qmaildir}/man/cat8
%attr(0755,root,qmail) %dir %{qmaildir}/man/man1
%attr(0755,root,qmail) %dir %{qmaildir}/man/man5
%attr(0755,root,qmail) %dir %{qmaildir}/man/man7
%attr(0755,root,qmail) %dir %{qmaildir}/man/man8
%attr(0750,qmailq,qmail) %dir %{qmaildir}/queue
%attr(01700,qmaill,qmail) %dir %{servicedir}/send
%attr(0700,qmaill,qmail) %dir %{servicedir}/send/log
%attr(0700,qmaill,qmail) %dir %{servicedir}/send/supervise
%attr(01700,qmaill,qmail) %dir %{servicedir}/smtp
%attr(0700,qmaill,qmail) %dir %{servicedir}/smtp/log
%attr(0700,qmaill,qmail) %dir %{servicedir}/smtp/supervise
%attr(0755,root,qmail) %dir %{qmaildir}/users
%attr(0755,root,qmail) %dir %{qmaildir}/spam
%attr(0750,qmaill,qmail) %dir /var/log/smtp
%attr(0750,qmaill,qmail) %dir /var/log/send
%attr(0755,qmailr,root) %dir /etc/domainkeys

# config (qmail)
%attr(0644,alias,nofiles) %config(noreplace) %{qmaildir}/alias/.qmail-*

%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/control/badmailfrom
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/control/badrcptto
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/control/blacklists
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/control/concurrencyincoming
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/control/concurrencyremote
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/control/databytes
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/control/defaultdomain
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/control/defaultdelivery
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/control/locals
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/control/mfcheck
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/control/plusdomain
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/control/rcpthosts
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/control/servercert.pem
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/control/clientcert.pem
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/control/smtpgreeting
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/control/smtproutes
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/control/spamt
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/control/bouncemaxbytes
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/control/localiphost
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/control/spfbehavior
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/control/timeoutremote
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/control/me
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/users/assign
%attr(0644,root,qmail) %config(noreplace) %{qmaildir}/users/cdb
%attr(0755,root,qmail) %{qmaildir}/rc

# symlinks (sendmail)
%attr(-,root,qmail) %{_libdir}/sendmail
%attr(-,root,qmail) %{_sbindir}/sendmail

# supervise
%attr(0751,qmaill,qmail) %config(noreplace) %{servicedir}/send/run
%attr(0751,qmaill,qmail) %config(noreplace) %{servicedir}/send/log/run
%attr(0751,qmaill,qmail) %config(noreplace) %{servicedir}/smtp/run
%attr(0751,qmaill,qmail) %config(noreplace) %{servicedir}/smtp/log/run

# cat pages
%attr(0644,root,qmail) %{qmaildir}/man/cat1/*
%attr(0644,root,qmail) %{qmaildir}/man/cat5/*
%attr(0644,root,qmail) %{qmaildir}/man/cat7/*
%attr(0644,root,qmail) %{qmaildir}/man/cat8/*

# qmail queue
%attr(0700,qmails,qmail) %dir %{qmaildir}/queue/bounce
%attr(0700,qmails,qmail) %dir %{qmaildir}/queue/info
%attr(0700,qmails,qmail) %{qmaildir}/queue/info/*
%attr(0700,qmailq,qmail) %dir %{qmaildir}/queue/intd
%attr(0700,qmails,qmail) %dir %{qmaildir}/queue/local
%attr(0700,qmails,qmail) %{qmaildir}/queue/local/*
%attr(0750,qmailq,qmail) %dir %{qmaildir}/queue/lock
%attr(0600,qmails,qmail) %{qmaildir}/queue/lock/sendmutex
%attr(0644,qmailr,qmail) %{qmaildir}/queue/lock/tcpto
%attr(-,qmails,qmail) %{qmaildir}/queue/lock/trigger
%attr(0750,qmailq,qmail) %dir %{qmaildir}/queue/mess
%attr(0750,qmailq,qmail) %{qmaildir}/queue/mess/*
%attr(0700,qmailq,qmail) %dir %{qmaildir}/queue/pid
%attr(0700,qmails,qmail) %dir %{qmaildir}/queue/remote
%attr(0700,qmails,qmail) %{qmaildir}/queue/remote/*
%attr(0750,qmailq,qmail) %dir %{qmaildir}/queue/todo

# boot files
%attr(0755,root,qmail) %{qmaildir}/boot/home
%attr(0755,root,qmail) %{qmaildir}/boot/home+df
%attr(0755,root,qmail) %{qmaildir}/boot/binm1
%attr(0755,root,qmail) %{qmaildir}/boot/binm2+df
%attr(0755,root,qmail) %{qmaildir}/boot/proc+df
%attr(0755,root,qmail) %{qmaildir}/boot/binm2
%attr(0755,root,qmail) %{qmaildir}/boot/binm3
%attr(0755,root,qmail) %{qmaildir}/boot/proc
%attr(0755,root,qmail) %{qmaildir}/boot/binm3+df
%attr(0755,root,qmail) %{qmaildir}/boot/binm1+df

# binaries
%attr(0755,root,qmail) %{qmaildir}/bin/bouncesaying
%attr(0755,root,qmail) %{qmaildir}/bin/qmail-remove
%attr(0755,root,qmail) %{qmaildir}/bin/condredirect
%attr(0755,root,qmail) %{qmaildir}/bin/config-fast
%attr(0755,root,qmail) %{qmaildir}/bin/datemail
%attr(0755,root,qmail) %{qmaildir}/bin/dh_key
%attr(0755,root,qmail) %{qmaildir}/bin/elq
%attr(0755,root,qmail) %{qmaildir}/bin/except
%attr(0755,root,qmail) %{qmaildir}/bin/forward
%attr(0755,root,qmail) %{qmaildir}/bin/instcheck
%attr(0755,root,qmail) %{qmaildir}/bin/maildir2mbox
%attr(0755,root,qmail) %{qmaildir}/bin/maildirmake
%attr(0755,root,qmail) %{qmaildir}/bin/maildirwatch
%attr(0755,root,qmail) %{qmaildir}/bin/mailsubj
%attr(0755,root,qmail) %{qmaildir}/bin/pinq
%attr(0755,root,qmail) %{qmaildir}/bin/predate
%attr(0755,root,qmail) %{qmaildir}/bin/preline
%attr(0755,root,qmail) %{qmaildir}/bin/qail
%attr(0755,root,qmail) %{qmaildir}/bin/qbiff
%attr(0711,root,qmail) %{qmaildir}/bin/qmail-clean
%attr(0711,root,qmail) %{qmaildir}/bin/qmail-getpw
%attr(0755,root,qmail) %{qmaildir}/bin/qmail-inject
%attr(0711,root,qmail) %{qmaildir}/bin/qmail-local
%attr(0700,root,qmail) %{qmaildir}/bin/qmail-lspawn
%attr(0700,root,qmail) %{qmaildir}/bin/qmail-newmrh
%attr(0700,root,qmail) %{qmaildir}/bin/qmail-newst
%attr(0700,root,qmail) %{qmaildir}/bin/qmail-newu
%attr(0711,root,qmail) %{qmaildir}/bin/qmail-pw2u
%attr(0755,root,qmail) %{qmaildir}/bin/qmail-qread
%attr(0755,root,qmail) %{qmaildir}/bin/qmail-qstat
%attr(04711,qmailq,qmail) %{qmaildir}/bin/qmail-queue
%attr(0755,root,qmail) %{qmaildir}/bin/qmail-remote
%attr(0755,root,qmail) %{qmaildir}/bin/qmail-remote.orig
%attr(0711,root,qmail) %{qmaildir}/bin/qmail-rspawn
%attr(0711,root,qmail) %{qmaildir}/bin/qmail-send
%attr(0755,root,qmail) %{qmaildir}/bin/qmail-showctl
%attr(0755,root,qmail) %{qmaildir}/bin/qmail-smtpd
%attr(0755,root,qmail) %{qmaildir}/bin/qmail-qmqpc
%attr(0755,root,qmail) %{qmaildir}/bin/qmail-qmqpd
%attr(0755,root,qmail) %{qmaildir}/bin/qmail-qmtpd
%attr(0700,root,qmail) %{qmaildir}/bin/qmail-start
%attr(0755,root,qmail) %{qmaildir}/bin/qmail-tcpok
%attr(0755,root,qmail) %{qmaildir}/bin/qmail-tcpto
%attr(0755,root,qmail) %{qmaildir}/bin/qreceipt
%attr(0755,root,qmail) %{qmaildir}/bin/qsmhook
%attr(0755,root,qmail) %{qmaildir}/bin/sendmail
%attr(0711,root,qmail) %{qmaildir}/bin/spfquery
%attr(0711,root,qmail) %{qmaildir}/bin/splogger
%attr(0755,root,qmail) %{qmaildir}/bin/tcp-env

%files -n qmail-pop3d
%defattr(-,-,root)
%attr(0700,root,root) %config(noreplace) %{_sysconfdir}/rc.d/init.d/pop3
%attr(1700,qmaill,qmail) %dir %{servicedir}/pop3
%attr(0700,qmaill,qmail) %dir %{servicedir}/pop3/log
%attr(0700,qmaill,qmail) %dir %{servicedir}/pop3/supervise
%attr(0751,qmaill,qmail) %{servicedir}/pop3/run
%attr(0751,qmaill,qmail) %{servicedir}/pop3/log/run
%attr(0750,qmaill,qmail) %dir /var/log/pop3
%attr(0755,root,root) %{qmaildir}/bin/qmail-pop3d
%attr(0711,root,root) %{qmaildir}/bin/qmail-popup

%files doc
%defattr(-,root,root)

# man pages
%attr(0644,root,qmail) %{qmaildir}/man/man1/qreceipt.1*
%attr(0644,root,qmail) %{qmaildir}/man/man1/condredirect.1*
%attr(0644,root,qmail) %{qmaildir}/man/man1/mailsubj.1*
%attr(0644,root,qmail) %{qmaildir}/man/man1/except.1*
%attr(0644,root,qmail) %{qmaildir}/man/man1/maildirmake.1*
%attr(0644,root,qmail) %{qmaildir}/man/man1/preline.1*
%attr(0644,root,qmail) %{qmaildir}/man/man1/tcp-env.1*
%attr(0644,root,qmail) %{qmaildir}/man/man1/bouncesaying.1*
%attr(0644,root,qmail) %{qmaildir}/man/man1/maildir2mbox.1*
%attr(0644,root,qmail) %{qmaildir}/man/man1/qbiff.1*
%attr(0644,root,qmail) %{qmaildir}/man/man1/forward.1*
%attr(0644,root,qmail) %{qmaildir}/man/man1/maildirwatch.1*
%attr(0644,root,qmail) %{qmaildir}/man/man5/qmail-users.5*
%attr(0644,root,qmail) %{qmaildir}/man/man5/maildir.5*
%attr(0644,root,qmail) %{qmaildir}/man/man5/qmail-header.5*
%attr(0644,root,qmail) %{qmaildir}/man/man5/envelopes.5*
%attr(0644,root,qmail) %{qmaildir}/man/man5/mbox.5*
%attr(0644,root,qmail) %{qmaildir}/man/man5/tcp-environ.5*
%attr(0644,root,qmail) %{qmaildir}/man/man5/qmail-control.5*
%attr(0644,root,qmail) %{qmaildir}/man/man5/qmail-log.5*
%attr(0644,root,qmail) %{qmaildir}/man/man5/addresses.5*
%attr(0644,root,qmail) %{qmaildir}/man/man5/dot-qmail.5*
%attr(0644,root,qmail) %{qmaildir}/man/man7/qmail-limits.7*
%attr(0644,root,qmail) %{qmaildir}/man/man7/forgeries.7*
%attr(0644,root,qmail) %{qmaildir}/man/man7/qmail.7*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-tcpto.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-qread.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/splogger.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-start.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-qmqpc.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-qmqpd.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-qmtpd.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-newu.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-tcpok.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-inject.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-clean.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-getpw.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-command.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-showctl.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-rspawn.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-smtpd.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-qstat.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-pw2u.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-queue.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-popup.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-lspawn.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-newmrh.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-local.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-send.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-remote.8*
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-pop3d.8*
%attr(0644,root,qmail) %{qmaildir}/man/man5/qmail-spamt.5.bz2
%attr(0644,root,qmail) %{qmaildir}/man/man5/qmail-spamthrottle.5.bz2
%attr(0644,root,qmail) %{qmaildir}/man/man8/qmail-newst.8.bz2

%attr(0644,root,qmail) %{qmaildir}/doc/CHANGES
%attr(0644,root,qmail) %{qmaildir}/doc/CHANGES.spamthrottle
%attr(0644,root,qmail) %{qmaildir}/doc/FAQ
%attr(0644,root,qmail) %{qmaildir}/doc/FILES
%attr(0644,root,qmail) %{qmaildir}/doc/INSTALL
%attr(0644,root,qmail) %{qmaildir}/doc/INSTALL.alias
%attr(0644,root,qmail) %{qmaildir}/doc/INSTALL.ctl
%attr(0644,root,qmail) %{qmaildir}/doc/INSTALL.ids
%attr(0644,root,qmail) %{qmaildir}/doc/INSTALL.maildir
%attr(0644,root,qmail) %{qmaildir}/doc/INSTALL.mbox
%attr(0644,root,qmail) %{qmaildir}/doc/INSTALL.vsm
%attr(0644,root,qmail) %{qmaildir}/doc/OTHERS.spamthrottle
%attr(0644,root,qmail) %{qmaildir}/doc/PIC.local2alias
%attr(0644,root,qmail) %{qmaildir}/doc/PIC.local2ext
%attr(0644,root,qmail) %{qmaildir}/doc/PIC.local2local
%attr(0644,root,qmail) %{qmaildir}/doc/PIC.local2rem
%attr(0644,root,qmail) %{qmaildir}/doc/PIC.local2virt
%attr(0644,root,qmail) %{qmaildir}/doc/PIC.nullclient
%attr(0644,root,qmail) %{qmaildir}/doc/PIC.relaybad
%attr(0644,root,qmail) %{qmaildir}/doc/PIC.relaygood
%attr(0644,root,qmail) %{qmaildir}/doc/PIC.rem2local
%attr(0644,root,qmail) %{qmaildir}/doc/README
%attr(0644,root,qmail) %{qmaildir}/doc/README.auth
%attr(0644,root,qmail) %{qmaildir}/doc/README.qregex
%attr(0644,root,qmail) %{qmaildir}/doc/README.spamthrottle
%attr(0644,root,qmail) %{qmaildir}/doc/README.tap
%attr(0644,root,qmail) %{qmaildir}/doc/REMOVE.binmail
%attr(0644,root,qmail) %{qmaildir}/doc/REMOVE.sendmail
%attr(0644,root,qmail) %{qmaildir}/doc/SENDMAIL
%attr(0644,root,qmail) %{qmaildir}/doc/TEST.deliver
%attr(0644,root,qmail) %{qmaildir}/doc/TEST.receive
%attr(0644,root,qmail) %{qmaildir}/doc/THANKS
%attr(0644,root,qmail) %{qmaildir}/doc/TODO
%attr(0644,root,qmail) %{qmaildir}/doc/UPGRADE
%attr(0644,root,qmail) %{qmaildir}/doc/VERSION

%changelog
* Mon Apr 09 2012 Paul Oehler <poehler@interworx.com>
- Added qmail-1.03-multiple-servercert.patch
* Wed Jan 18 2012 Paul Oehler <poehler@interworx.com>
- Added qmail-1.03-iworx-trashquota-maildir++.patch
* Thu Nov 10 2011 Paul Oehler <poehler@interworx.com>
- Added qmail-1.03-ipv6-v4mapped-format-bug.patch
* Mon Nov 07 2011 Paul Oehler <poehler@interworx.com>
- Added qmail-1.03-ipv6-retry.patch
* Mon Oct 21 2011 Paul Oehler <poehler@interworx.com>
- Added qmail-1.03-ssl-err_h-iworx.patch
* Mon Oct 10 2011 Paul Oehler <poehler@interworx.com>
- Added qmail-1.03-show-greeting-fail.iworx.patch
* Mon Oct 10 2011 Paul Oehler <poehler@interworx.com>
- Changed default send and smtp loggers to log 100 1meg files before rotation.
* Mon Mar 21 2011 Paul Oehler <poehler@interworx.com>
- Added patch to address CVE-2011-1431.
* Fri Oct 22 2010 Paul Oehler <poehler@interworx.com>
- Fixed qmail-remote and qmail-remote.orig permissions
* Mon Oct 18 2010 Paul Oehler <poehler@interworx.com>
- Added libdomainkeys Requires:
- Added /etc/domainkeys directory to rpm
- Moved /var/qmail/bin/qmail-remote to /var/qmail/bin/qmail-remote.orig
- Made /var/qmail/bin/qmail-remote the domainkeys wrapper script
* Sun Oct 03 2010 Paul Oehler <poehler@interworx.com>
- Added uninstall blocker preun script
* Tue Sep 14 2010 Paul Oehler <poehler@interworx.com>
- Added ipv6 support.
* Thu May 06 2010 Paul Oehler <poehler@interworx.com>
- Updated for RHEL 6.x
* Mon Oct 05 2009 Paul Oehler <poehler@interworx.com>
- removing softlimit check from pop3 and smtp for x86_64, causing segfaults
- adding localiphost with default value 'reject' for pci compliance
- moving badmailto to badrcptto since it is more accurate
* Sun Feb 08 2009 Paul Oehler <poehler@interworx.com>
- added domainbindings patch
* Fri Feb 29 2008 Paul Oehler <poehler@interworx.com>
- update chkuser to 2.0.9 and change chkuser bounce check from bounceon to .bounceon
* Thu May 11 2006 Paul Oehler <poehler@nexcess.net>
- mega update to include patches from latest qmail-toaster, netqmail, chkuser, etc, etc
* Thu Sep 16 2004 Chris Wells <clwells@nexcess.net>
- fixed the /var/log 750 and owned by 0.0 problem
* Tue Sep 7 2004 Chris Wells <clwells@nexcess.net>
- fixed patch that was named with bversion
* Sun Sep 5 2004 Chris Wells <clwells@nexcess.net>
- Updated the softlimit's of all /service scripts to 640000
  as Fedora Core 1 versions were running out of mem
- bumped to 101 release
* Tue Jun 28 2004 Chris Wells <clwells@nexcess.net>
- Initial packaging as part of InterWorx-HAL OS
